gnutls_session_get_data2(3)

NAME
gnutls_session_get_data2 - Returns all session parameters.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_data2(gnutls_session_t session, gnutls_datum_t * data);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t * data
    is a pointer to a datum that will hold the session.

DESCRIPTION
Returns all session parameters, in order to support resuming. The client should call this, and keep the returned session, if he wants to resume that current version later by calling gnutls_session_set_data(). This function must be called after a successful handshake. The returned datum must be freed with gnutls_free(). Resuming sessions is really useful and speedups connections after a succesful one.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.